import request from '@/utils/request'

// 查询直播看课记录列表
export function listLiveWatchLog(query) {
  return request({
    url: '/live/liveWatchLog/list',
    method: 'get',
    params: query
  })
}

// 查询直播看课记录详细
export function getLiveWatchLog(logId) {
  return request({
    url: '/live/liveWatchLog/' + logId,
    method: 'get'
  })
}

// 新增直播看课记录
export function addLiveWatchLog(data) {
  return request({
    url: '/live/liveWatchLog',
    method: 'post',
    data: data
  })
}

// 修改直播看课记录
export function updateLiveWatchLog(data) {
  return request({
    url: '/live/liveWatchLog',
    method: 'put',
    data: data
  })
}

// 删除直播看课记录
export function delLiveWatchLog(logId) {
  return request({
    url: '/live/liveWatchLog/' + logId,
    method: 'delete'
  })
}

// 导出直播看课记录
export function exportLiveWatchLog(query) {
  return request({
    url: '/live/liveWatchLog/export',
    method: 'get',
    params: query
  })
}